Initialize Customer (Register/Identify)
Register or update a customer whenever they log in or register in your app.Request Parameters
string
required
Unique identifier for the customer. This should never change for a given customer.
string
Customer’s email address.
string
Customer’s mobile number with country code.
string
Push notification token (required if pushProvider is set).
'Firebase' | 'Huawei'
Push notification provider (required if deviceToken is set).
CustomerAttributes
Additional customer attributes.
string
Referral code if customer was referred by another customer.
boolean
Guest user flag (defaults to false).
string
Optional session token to override the global token for this specific request. Required in upcoming SDK v4.
In React Native SDK, passing a sessionToken parameter updates the global session token. Pass
undefined to clear the global token, or omit it to use the current global token.Validation Rules
InitializeCustomerRequest requires:customerIdcannot be empty or whitespace- If
deviceTokenis provided,pushProvidermust also be specified - If
pushProvideris specified,deviceTokenmust also be provided